# Method: schemas.insert

Creates a schema.

### HTTP request

`POST https://admin.googleapis.com/admin/directory/v1/customer/{customerId}/schemas`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` Immutable ID of the Google Workspace account. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/schemas#Schema`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/schemas#Schema`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.directory.userschema`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).